---
metadata:
  - name: generator
    content: Diplodoc Platform v5.44.0
alternate:
  - https://yandex.com/dev/webmaster/doc/en/reference/host-recrawl-post.md
  - https://yandex.com/dev/webmaster/doc/ru/reference/host-recrawl-post.md
---
> **Documentation Index:** Fetch the complete configuration index at https://yandex.com/dev/webmaster/doc/en/llms.txt

# Sending a page for reindexing

Sends the URL for reindexing.

## Request format

In the request body, pass the URL of the page to reindex.

```
POST https://api.webmaster.yandex.net/v4/user/{[user-id](*user-id)}/hosts/{[host-id](*host-id)}/recrawl/queue
```

#|
||
`user-id`
|
<!-- source: en/_includes/popups.md -->
Type: `int64`. User ID. Required when calling all Yandex.Webmaster API resources. To get it, use the [GET /v4/user](https://yandex.com/dev/webmaster/doc/en/reference/user.md) method.
<!-- endsource: en/_includes/popups.md -->
||
||
`host-id`
|
<!-- source: en/_includes/popups.md -->
Type: `host id (string)`. The site ID. To get it, use the [GET /v4/user/{user-id}/hosts](https://yandex.com/dev/webmaster/doc/en/reference/hosts.md) method.
<!-- endsource: en/_includes/popups.md -->
||
|#

### Example


{% list tabs %}

- JSON

  
  ```javascript
  {
    "url": "http://example.com"
  }
  ```
  

- XML

  
  ```xml
  <Data>
      <[url](*url_post)>http://example.com</url>
  </Data>
  ```

{% endlist %}

**Parameter** | **Description**
----- | -----
`url` | The URL of the page to be sent for reindexing.

## Response format

### Examples

> 
> {% list tabs %}
> 
> - JSON
> 
>   
>   ```javascript
>   {
>     "task_id": "c7fe80c0-36e3-11e6-8b2d-df96aa592c0a",
>     "quota_remainder": 1
>   }
>   ```
>   
> 
> - XML
> 
>   
>   ```xml
>   <Data>  
>     <[task_id](*task_id_2)>c7fe80c0-36e3-11e6-8b2d-df96aa592c0a</task_id>  
>     <[quota_remainder](*quota_remainder)>1</quota_remainder>
>   </Data>
>   ```
> 
> {% endlist %}
>
> #|
> || **Name** | **Required** | **Type** | **Description** ||
> || `task_id` | Yes | `UUID` | ID of the reindexing task. ||
> || `quota_remainder` | Yes | `int32` | The remainder of the daily quota. ||
> |#

## Response codes

To view the response structure in detail, click the reason.

#|
||
**Code** | **Reason** | **Description**
||
||
202 | ACCEPTED | 
||
||
400
|
[INVALID_URL](https://yandex.com/dev/webmaster/doc/en/reference/errors.md#inv-url) | Wrong URL was passed.

{% list tabs %}

- JSON

  ```json 
  {   
      "error_code": "INVALID_URL",   
      "error_message": "some string" 
  }
  ```

- XML

  ```xml 
  <Data>   
      <[error_code](*error_code)>INVALID_URL</error_code>     
      <[error_message](*error_message)>some string</error_message> 
  </Data>
  ```

{% endlist %}
||
||
403
|
[INVALID_USER_ID](https://yandex.com/dev/webmaster/doc/en/reference/errors.md#invalid-user-id)
|
The ID of the user who issued the token differs from the one specified in the request. In the examples below, `{user_id}` shows the correct `uid` of the OAuth token owner.

{% list tabs %}

- JSON

  ```json 
  {   
      "error_code": "INVALID_USER_ID",   
      "available_user_id": 1,   
      "error_message": "Invalid user id. {user_id} should be used."
  }
  ```

- XML

  ```xml 
  <Data>     
      <[error_code](*error_code)>INVALID_USER_ID</error_code>     
      <[available_user_id](*available_user_id)>1</available_user_id>     
      <[error_message](*error_message)>Invalid user id. {user_id} should be used.</error_message> 
  </Data>
  ```

{% endlist %}
||
||
404
|
[HOST_NOT_VERIFIED](https://yandex.com/dev/webmaster/doc/en/reference/errors.md#host-not-verif)
|
Site management rights are not verified.

{% list tabs %}

- JSON

  ```json
  {   
      "error_code": "HOST_NOT_VERIFIED",   
      "host_id": "http:ya.ru:80",   
      "error_message": "some string"
  }
  ```

- XML

  ```xml 
  <Data>   
      <[error_code](*error_code)>HOST_NOT_VERIFIED</error_code>     
      <[host_id](*host_id)>http:ya.ru:80</host_id>   
      <[error_message](*error_message)>some string</error_message> 
  </Data>
  ```

{% endlist %}
||
||
409
|
[URL_ALREADY_ADDED](https://yandex.com/dev/webmaster/doc/en/reference/errors.md#url-already-edded)
|
The URL was already added for reindexing.

{% list tabs %}

- JSON

  ```json
  {   
      "error_code": "URL_ALREADY_ADDED",   
      "error_message": "some string"
  }
  ```

- XML

  ```xml 
  <Data>   
      <[error_code](*error_code)>URL_ALREADY_ADDED</error_code>     
      <[error_message](*error_message)>some string</error_message> 
  </Data>
  ```

{% endlist %}
||
||
429
|
[QUOTA_EXCEEDED](https://yandex.com/dev/webmaster/doc/en/reference/errors.md#quota-exc)
|
The daily quota for requests was exceeded.

{% list tabs %}

- JSON

  ```json
  {   
      "error_code": "QUOTA_EXCEEDED",   
      "daily_quota": 1,   
      "exceeded_until": "2016-01-01T00:00:00,000+0300",   
      "error_message": "some string"
  }
  ```

- XML

  ```xml 
  <Data>   
      <error_code>QUOTA_EXCEEDED</error_code>     
      <daily_quota>1</daily_quota>     
      <exceeded_until>2016-01-01T00:00:00,000+0300</exceeded_until>     
      <error_message>some string</error_message>
  </Data>
  ```

{% endlist %}
||
|#

### Related information

- [Error codes and statuses](https://yandex.com/dev/webmaster/doc/en/reference/errors.md)




[*user-id]: Type: `int64`. User ID. Required when calling all Yandex.Webmaster API resources. To get it, use the [GET /v4/user](https://yandex.com/dev/webmaster/doc/en/reference/user.md) method.

[*host-id]: Type: `host id (string)`. The site ID. To get it, use the [GET /v4/user/{user-id}/hosts](https://yandex.com/dev/webmaster/doc/en/reference/hosts.md) method.

[*url_post]: **Description**

The URL of the page to be sent for reindexing.

[*error_code]: **Description**

Error code.

[*available_user_id]: **Description**

ID of the user who allowed access.

[*host_id]: **Description**

ID of the requested site.

[*error_message]: **Description**

Error message.

[*task_id_2]: **Required**

Yes

**Type**

`UUID`

**Description**

ID of the reindexing task.

[*quota_remainder]: **Required**

Yes

**Type**

`int32`

**Description**

The remainder of the daily quota.